<head>
    <title>Certificates</title>
    <script src="https://aframe.io/releases/0.9.2/aframe.min.js"></script>
    <script src="https://cdn.rawgit.com/jeromeetienne/AR.js/1.7.2/aframe/build/aframe-ar.js"></script>
    <script src="https://unpkg.com/aframe-event-set-component@4.2.1/dist/aframe-event-set-component.min.js"></script>

    <style>
        body {
            overflow: hidden;
        }
    </style>
</head>

<body>
    <a-scene
        cursor="rayOrigin: mouse"
        arjs="debugUIEnabled: false"
        style="
            margin: 0;
            padding: 0;
            width: 100%;
            height: 100%;
            position: absolute;
        "vr-mode-ui="enabled: false"
    >
        
        <a-assets>
            <img id="cert1" src="images/DIPLOMAASISTENTE-min.jpg" />
            <img id="cert2" src="images/DIPLOMAPONENTE-min.jpg" />
            <img id="cert3" src="images/DIPLOMASPONSOR-min.jpg" />
            <img id="play" src="images/youtube.png"></img>
            <img id="transp" src="images/transp.png"></img>
        </a-assets>
        <a-marker-camera 
            type="pattern" 
            url="/data/xrcol.patt" 
            id="appleM" 
            emitevents="true" 
            button>


            <a-plane 
                id='back'
                position="0 0 -0.5" 
                rotation="-90 0 0"
                scale="4.6 3.3 3.5"
                material="src: #cert1;">
            </a-plane>


 
            <a-box
                src="images/BOSQUE.png"
                height="0.32"
                position="-2.5 0.3 -1.9"
                width="0.32"
                depth="0.32"
                animation="property: rotation; to: 360 360 360; dur: 15000; easing: linear; loop: true"
            >
            </a-box>


            <a-box
                src="images/TILBURG_UNIVERSITY.jpg"
                height="0.32"
                position="-2.5 0.3 -1.3"
                width="0.32"
                depth="0.32"
                animation="property: rotation; to: 360 360 360; dur: 15000; easing: linear; loop: true"
            >
            </a-box>

            <a-box
                src="images/PONTIFICIA_CALI.jpg"
                height="0.32"
                position="-2.5 0.3 -0.7"
                width="0.32"
                depth="0.32"
                animation="property: rotation; to: 360 360 360; dur: 15000; easing: linear; loop: true"
            >
            </a-box>


            <a-box
                src="images/XRCOL.jpg"
                height="0.32"
                position="-2.5 0.3 -0.1"
                width="0.32"
                depth="0.32"
                animation="property: rotation; to: 360 360 360; dur: 15000; easing: linear; loop: true"
            >
            </a-box>


            <a-box
                src="images/SADILAR.jpg"
                height="0.32"
                position="-2.5 0.3 0.5"
                width="0.32"
                depth="0.32"
                animation="property: rotation; to: 360 360 360; dur: 15000; easing: linear; loop: true"
            >
            </a-box> 



            <a-text 
                id="name" clock
                value="Alexandra Sierra" 
                font="fonts/Goog-msdf/Goog-msdf.json"
                font-image="fonts/Goog-msdf/Goog.png"
                negate="false"                
                color="#E6DE44" 
                position="-0.9 0.3 -0.7"  
                rotation="-45 0 0"
                scale="0.6 0.7 0.7"
                align="center" 
                width="6">
            </a-text>




            <a-box
                id="btn1"
                position="-0.8 0 1.4"
                color="#FFF"
                height="0.1"
                width="0.7"
                depth="0.4"
                opacity="0.2"
                onclick="btn1()"
                event-set__mouseenter="color: red"
                event-set__mouseleave="color: white"
                event-set__mousedown="color: green"
                event-set__mouseup="color: red"
                animation="property: rotation; from: 0 0 0; to: 0 360 0; dur: 1000; startEvents: click"
                >
            <a-image
                src="#play"
                position="0 0 0"
                scale="0.3 0.3 0.3"
                rotation="90 0 0"
                >
                </a-image> 
                
            <a-text 
                id="btnText1"
                value="Coffee" 
                font="fonts/Goog-msdf/Goog-msdf.json"
                font-image="fonts/Goog-msdf/Goog.png"
                negate="false"                
                color="#FFFFFF" 
                position="0.15 0.1 0.1"  
                rotation="-90 0 0"
                scale="0.2 0.25 0.25"
                align="center" 
                width="6">
            </a-text>
        </a-box>
            






        <a-box
            id="btn2"
            position="0.8 0 1.4"
            color="#FFF"
            height="0.1"
            width="0.7"
            depth="0.4"
            opacity="0.2"
            onclick="btn2()"
            event-set__mouseenter="color: red"
            event-set__mouseleave="color: white"
            event-set__mousedown="color: green"
            event-set__mouseup="color: red"
            animation="property: rotation; from: 0 0 0; to: 0 360 0; dur: 1000; startEvents: click"
            >
        <a-image
            src="#play"
            position="0 0 0"
            scale="0.3 0.3 0.3"
            rotation="90 0 0"
            >
            </a-image> 
            
        <a-text 
            id="btnText2"
            value="Presentation" 
            font="fonts/Goog-msdf/Goog-msdf.json"
            font-image="fonts/Goog-msdf/Goog.png"
            negate="false"                
            color="#FFFFFF" 
            position="0.15 0.1 0.1"  
            rotation="-90 0 0"
            scale="0.2 0.25 0.25"
            align="center" 
            width="6">
        </a-text>
    </a-box>



        </a-marker>
        <a-entity camera> </a-entity>
    </a-scene>
    <script src="https://www.gstatic.com/firebasejs/8.2.1/firebase-app.js"></script>
    <script src="https://www.gstatic.com/firebasejs/8.2.1/firebase-database.js"></script>
    <script defer src="js/main.js"></script>
</body>
